Skip to main content
`Ctrl`+`K`

# TaoTermShellSetCreateParametersVec

Set the routine that creates parameters vector for a `TaoTerm` of type `TAOTERMSHELL`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermShellSetCreateParametersVec(TaoTerm term, PetscErrorCode (*createparametersvec)(TaoTerm term, Vec *parameters))

Logically collective

## Input Parameters

- term - a `TaoTerm` of type `TAOTERMSHELL`

- createparametersvec - a function with the same signature as `TaoTermCreateParametersVec()`

## Calling sequence of `createparametersvec`

- term - the `TaoTerm`

- parameters - a parameters vector for `term`

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TAOTERMSHELL`, `TaoTermShellGetContext()`, `TaoTermShellSetContextDestroy()`, `TaoTermShellSetCreateHessianMatrices()`

## Level

intermediate

## Location

src/tao/term/impls/shell/taotermshell.c

## Implementations

TaoTermShellSetCreateParametersVec_Shell(TaoTerm term, PetscErrorCode (*createparametersvec)() in src/tao/term/impls/shell/taotermshell.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages